Update Semantic CWT credential revocation status
Roles
Analytics Events
/v2/credentials/compact-semantic/{id}/revocation-statusUpdates the credential status as revoked (invalid) or unrevoked (valid).
Analytic events
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_START
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_SUCCESS
- CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique credential identifier (jti)
Request Body
application/json
Update revocation status
TypeScript Definitions
Use the request body type in TypeScript.
When set to true the credential will be revoked. When set to false, the credential will be unrevoked.
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact-semantic/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{
"id": "string",
"isRevoked": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Retrieve CWT credential revocation list GET
Returns a CWT credential revocation list by providing its ID. This endpoint is intended for public consumption, and as such does not require authentication. ### **Analytic events** * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_START * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_SUCCESS * CREDENTIAL_COMPACT_REVOCATION_RETRIEVE_FAIL
Retrieve Semantic CWT credential revocation status GET
Retrieve the revocation status of a Semantic CWT credential by providing its ID.